Subject: Re: [Extra] Magnus Westerlund's Discuss on draft-ietf-extra-sieve-mailboxid-06: (with DISCUSS)

From: Barry Leiba <[email-masked]>
Date: Fri, 29 Jan 2021 10:00:33 -0500

Bron,

I haven't seen a response to this DISCUSS from Magnus, nor to some of
the non-blocking comments (from Ben, for example).

Barry

On Tue, Dec 15, 2020 at 9:22 AM Magnus Westerlund via Datatracker
<[email-masked]> wrote:
>
> Magnus Westerlund has entered the following ballot position for
> draft-ietf-extra-sieve-mailboxid-06: Discuss
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-extra-sieve-mailboxid/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> First part is a formality discuss that likely is fairly easy to resolve
>
> So this document uses formal syntax, however it does not explicitly reference
> which. So I noticed RFC 5228 that do reference RFC 4234 which is now obsolete,
> and the current in force version of ABNF is RFC 5234. Also as no WSP are
> included in the rules, this document appears to use ABNF to express RFC 5228
> grammar and not parsing syntax. So please clarify prior to the usages what the
> formal language is and what it represents.
>
> So this needs to be done prior to Section 5. But, can you please check that you
> actually have the same level of  formal syntax in Section 5 that goes through
> RFC 8580 as what is in Section 8. Otherwise please clarify both.
>
> Secondly, I do consider the defining text first paragraph of in Section 4.1 so
> hard to interpret that it must be fixed prior to publication. So although you
> already are going to address it based on discussion of Martin Duke's comment, I
> want to hold a discuss on this.
>
>
>
>
>